#!/usr/bin/pl -g start -s
% Copyright (C) Paweł Płazieński 2009
%
% This program is free software; you can redistribute it and/or modify it
% under the terms of the GNU General Public License as published by the
% Free Software Foundation; either version 2, or (at your option) any
% later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

:- consult('history.pl').
:- consult('model.pl').
:- consult('controller.pl').
:- consult('view.pl').

:- consult('read-tools.pl').

start :-
	get_line(Line,[add,depend,split,finalize,draw,undraw,draw_history,draw_model,clear_data,end],'-.> '),
	(  Line = end_of_file,
		halt
	;
		string_to_atom(Line,Name),
		(  current_functor(Name,0),
			call(Name),
			start
		;  not(current_functor(Name,0)),
			(  empty_line(Line),
				start
			;  not(empty_line(Line)),
				write('< - : No such function'), nl,
				start
			)
		)
	).
