% Copyright (C) Paweł Płazieński 2009
%
% This program is free software; you can redistribute it and/or modify it
% under the terms of the GNU General Public License as published by the
% Free Software Foundation; either version 2, or (at your option) any
% later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

:- consult('graphwiz-ugraph.pl').
:- consult('string-list.pl').

perpare_property(Unprepared,Prepared) :-
	property_to_list(Unprepared,List),
	list_string(List,Prepared,'\\n').

draw :-
	model(Model),
	history(History),
	ugraph_draw_list([Model,History],[blue,black],perpare_property).

draw_history :-
	history(History),
	ugraph_draw(History,black,perpare_property).

draw_model :-
	model(Model),
	ugraph_draw(Model,blue,perpare_property).

undraw :-
	shell('killall display &').
